<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>

<f:subview id="scrollableDataTableSubviewID">
	<rich:scrollableDataTable id="sdt" var="sdt" rowKeyVar="key" onRowDblClick="alert('row:#{key}')"
		ajaxSingle="#{scrollableDT.ajaxSingle}"
		value="#{scrollableDT.data}" rows="#{scrollableDT.rows}"
		width="#{scrollableDT.width}" height="#{scrollableDT.height}"
		hideWhenScrolling="#{scrollableDT.hideWhenScrolling}"
		reRender="inputID" frozenColCount="#{scrollableDT.frozenColCount}"
		first="#{scrollableDT.first}" ignoreDupResponses="#{scrollableDT.ignoreDupResponses}"
		bypassUpdates="#{scrollableDT.bypassUpdates}" rendered="#{scrollableDT.rendered}" 
		limitToList="#{scrollableDT.limitToList}"
		timeout="#{scrollableDT.timeout}"
		selection="#{scrollableDT.selection}"
		oncomplete="showEvent('oncompleteInputID', 'oncomplete work!')"
		onselectionchange="showEvent('onselectionchangeInputID', 'onselectionchange work!')">
		<f:facet name="header">
			<h:outputText value="facet header"></h:outputText>	
		</f:facet>
		
		<rich:column>
			<f:facet name="header"><h:outputText value="#"/></f:facet>
			<h:outputText value="#{sdt.int0}"></h:outputText>
			<f:facet name="footer"><h:outputText value="#"/></f:facet>
		</rich:column>

		<rich:column>
			<f:facet name="header"><h:outputText value="Text"></h:outputText> </f:facet>
			<h:outputText value="#{sdt.str0}"></h:outputText>
			<f:facet name="footer"><h:outputText value="Text"></h:outputText> </f:facet>
		</rich:column>

		<rich:column>
			<f:facet name="header"><h:outputText value="Link"></h:outputText> </f:facet>
			<a4j:commandLink value="#{sdt.str1}" reRender="sdt"></a4j:commandLink>
			<f:facet name="footer"><h:outputText value="Link"></h:outputText> </f:facet>
		</rich:column>

		<rich:column>
			<f:facet name="header"><h:outputText value="Select"></h:outputText> </f:facet>
			<h:selectOneMenu value="#{sdt.str2}">
				<f:selectItem itemLabel="select0" itemValue="select0" />
				<f:selectItem itemLabel="select1" itemValue="select1" />
				<f:selectItem itemLabel="select2" itemValue="select2" />
				<f:selectItem itemLabel="select3" itemValue="select3" />
				<f:selectItem itemLabel="select4" itemValue="select4" />
			</h:selectOneMenu>
			<f:facet name="footer"><h:outputText value="Select"></h:outputText> </f:facet>
		</rich:column>

		<rich:column>
			<f:facet name="header"><h:outputText value="Select"></h:outputText> </f:facet>
			<h:graphicImage value="#{sdt.str3}"></h:graphicImage>
			<f:facet name="footer"><h:outputText value="Select"></h:outputText> </f:facet>
		</rich:column>
		
		<f:facet name="footer">
			<h:outputText value="facet footer"></h:outputText>
		</f:facet>
	</rich:scrollableDataTable>
</f:subview>
